Bug 1304636 (CVE-2015-8806)

Summary: CVE-2015-8806 libxml2: heap-buffer overread in dict.c
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED DUPLICATE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: apmukher, athmanem, carnil, cbuissar, c.david86, erik-fedora, fedora-mingw, ktietz, lfarkas, ohudlick, rjones, sardella, slawomir, veillard
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-05-25 10:18:50 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1304638, 1304639, 1304640    
Bug Blocks: 1304644    

Description Andrej Nemec 2016-02-04 09:09:33 UTC
A heap-buffer overread vulnerability was found in libxml2. A specially crafted file can cause the application to crash.

External bugzilla report with reproducer:

https://bugzilla.gnome.org/show_bug.cgi?id=749115

CVE assignment:

http://seclists.org/oss-sec/2016/q1/277

Comment 1 Andrej Nemec 2016-02-04 09:16:27 UTC
Created libxml2 tracking bugs for this issue:

Affects: fedora-all [bug 1304638]

Comment 2 Andrej Nemec 2016-02-04 09:16:35 UTC
Created mingw-libxml2 tracking bugs for this issue:

Affects: fedora-all [bug 1304639]
Affects: epel-7 [bug 1304640]

Comment 4 Cedric Buissart 2016-04-25 14:11:47 UTC
I believe that this is actually a duplicate of CVE-2016-2073

Comment 5 Cedric Buissart 2016-05-25 10:18:50 UTC
Actually marking this duplicate of CVE-2016-1839, to follow upstream.

*** This bug has been marked as a duplicate of bug 1338703 ***

Comment 6 Doran Moppert 2020-02-10 04:31:10 UTC
Statement:

This flaw was found to be a duplicate of CVE-2016-1839. Please see https://access.redhat.com/security/cve/CVE-2016-1839 for information about affected products and security errata.